
package cz.moneta.test.dsl.cebia.iva;

import java.math.BigDecimal;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSSearchCriteriaTolerance complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSSearchCriteriaTolerance"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="EngineCapacityCcmTolerance" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="EngineCapacityLitersTolerance" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *         &lt;element name="EnginePowerTolerance" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="WeightTolerance" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="WheelbaseTolerance" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="OverallLengthTolerance" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="OverallHeightTolerance" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="SeatsFrom" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="SeatsTo" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="FirstRegistrationDateTolerance" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="OverallWidthTolerance" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="PayloadTolerance" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="WheelbasePlusTolerance" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSSearchCriteriaTolerance", propOrder = {
    "engineCapacityCcmTolerance",
    "engineCapacityLitersTolerance",
    "enginePowerTolerance",
    "weightTolerance",
    "wheelbaseTolerance",
    "overallLengthTolerance",
    "overallHeightTolerance",
    "seatsFrom",
    "seatsTo",
    "firstRegistrationDateTolerance",
    "overallWidthTolerance",
    "payloadTolerance",
    "wheelbasePlusTolerance"
})
public class WSSearchCriteriaTolerance {

    @XmlElement(name = "EngineCapacityCcmTolerance", nillable = true)
    protected Integer engineCapacityCcmTolerance;
    @XmlElement(name = "EngineCapacityLitersTolerance", nillable = true)
    protected BigDecimal engineCapacityLitersTolerance;
    @XmlElement(name = "EnginePowerTolerance", nillable = true)
    protected Integer enginePowerTolerance;
    @XmlElement(name = "WeightTolerance", nillable = true)
    protected Integer weightTolerance;
    @XmlElement(name = "WheelbaseTolerance", nillable = true)
    protected Integer wheelbaseTolerance;
    @XmlElement(name = "OverallLengthTolerance", nillable = true)
    protected Integer overallLengthTolerance;
    @XmlElement(name = "OverallHeightTolerance", nillable = true)
    protected Integer overallHeightTolerance;
    @XmlElement(name = "SeatsFrom", nillable = true)
    protected Integer seatsFrom;
    @XmlElement(name = "SeatsTo", nillable = true)
    protected Integer seatsTo;
    @XmlElement(name = "FirstRegistrationDateTolerance", nillable = true)
    protected Integer firstRegistrationDateTolerance;
    @XmlElement(name = "OverallWidthTolerance", nillable = true)
    protected Integer overallWidthTolerance;
    @XmlElement(name = "PayloadTolerance", nillable = true)
    protected Integer payloadTolerance;
    @XmlElement(name = "WheelbasePlusTolerance", nillable = true)
    protected Integer wheelbasePlusTolerance;

    /**
     * Gets the value of the engineCapacityCcmTolerance property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getEngineCapacityCcmTolerance() {
        return engineCapacityCcmTolerance;
    }

    /**
     * Sets the value of the engineCapacityCcmTolerance property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setEngineCapacityCcmTolerance(Integer value) {
        this.engineCapacityCcmTolerance = value;
    }

    /**
     * Gets the value of the engineCapacityLitersTolerance property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getEngineCapacityLitersTolerance() {
        return engineCapacityLitersTolerance;
    }

    /**
     * Sets the value of the engineCapacityLitersTolerance property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setEngineCapacityLitersTolerance(BigDecimal value) {
        this.engineCapacityLitersTolerance = value;
    }

    /**
     * Gets the value of the enginePowerTolerance property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getEnginePowerTolerance() {
        return enginePowerTolerance;
    }

    /**
     * Sets the value of the enginePowerTolerance property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setEnginePowerTolerance(Integer value) {
        this.enginePowerTolerance = value;
    }

    /**
     * Gets the value of the weightTolerance property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getWeightTolerance() {
        return weightTolerance;
    }

    /**
     * Sets the value of the weightTolerance property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setWeightTolerance(Integer value) {
        this.weightTolerance = value;
    }

    /**
     * Gets the value of the wheelbaseTolerance property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getWheelbaseTolerance() {
        return wheelbaseTolerance;
    }

    /**
     * Sets the value of the wheelbaseTolerance property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setWheelbaseTolerance(Integer value) {
        this.wheelbaseTolerance = value;
    }

    /**
     * Gets the value of the overallLengthTolerance property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getOverallLengthTolerance() {
        return overallLengthTolerance;
    }

    /**
     * Sets the value of the overallLengthTolerance property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setOverallLengthTolerance(Integer value) {
        this.overallLengthTolerance = value;
    }

    /**
     * Gets the value of the overallHeightTolerance property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getOverallHeightTolerance() {
        return overallHeightTolerance;
    }

    /**
     * Sets the value of the overallHeightTolerance property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setOverallHeightTolerance(Integer value) {
        this.overallHeightTolerance = value;
    }

    /**
     * Gets the value of the seatsFrom property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getSeatsFrom() {
        return seatsFrom;
    }

    /**
     * Sets the value of the seatsFrom property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setSeatsFrom(Integer value) {
        this.seatsFrom = value;
    }

    /**
     * Gets the value of the seatsTo property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getSeatsTo() {
        return seatsTo;
    }

    /**
     * Sets the value of the seatsTo property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setSeatsTo(Integer value) {
        this.seatsTo = value;
    }

    /**
     * Gets the value of the firstRegistrationDateTolerance property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getFirstRegistrationDateTolerance() {
        return firstRegistrationDateTolerance;
    }

    /**
     * Sets the value of the firstRegistrationDateTolerance property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setFirstRegistrationDateTolerance(Integer value) {
        this.firstRegistrationDateTolerance = value;
    }

    /**
     * Gets the value of the overallWidthTolerance property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getOverallWidthTolerance() {
        return overallWidthTolerance;
    }

    /**
     * Sets the value of the overallWidthTolerance property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setOverallWidthTolerance(Integer value) {
        this.overallWidthTolerance = value;
    }

    /**
     * Gets the value of the payloadTolerance property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getPayloadTolerance() {
        return payloadTolerance;
    }

    /**
     * Sets the value of the payloadTolerance property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setPayloadTolerance(Integer value) {
        this.payloadTolerance = value;
    }

    /**
     * Gets the value of the wheelbasePlusTolerance property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getWheelbasePlusTolerance() {
        return wheelbasePlusTolerance;
    }

    /**
     * Sets the value of the wheelbasePlusTolerance property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setWheelbasePlusTolerance(Integer value) {
        this.wheelbasePlusTolerance = value;
    }

    public WSSearchCriteriaTolerance withEngineCapacityCcmTolerance(Integer value) {
        setEngineCapacityCcmTolerance(value);
        return this;
    }

    public WSSearchCriteriaTolerance withEngineCapacityLitersTolerance(BigDecimal value) {
        setEngineCapacityLitersTolerance(value);
        return this;
    }

    public WSSearchCriteriaTolerance withEnginePowerTolerance(Integer value) {
        setEnginePowerTolerance(value);
        return this;
    }

    public WSSearchCriteriaTolerance withWeightTolerance(Integer value) {
        setWeightTolerance(value);
        return this;
    }

    public WSSearchCriteriaTolerance withWheelbaseTolerance(Integer value) {
        setWheelbaseTolerance(value);
        return this;
    }

    public WSSearchCriteriaTolerance withOverallLengthTolerance(Integer value) {
        setOverallLengthTolerance(value);
        return this;
    }

    public WSSearchCriteriaTolerance withOverallHeightTolerance(Integer value) {
        setOverallHeightTolerance(value);
        return this;
    }

    public WSSearchCriteriaTolerance withSeatsFrom(Integer value) {
        setSeatsFrom(value);
        return this;
    }

    public WSSearchCriteriaTolerance withSeatsTo(Integer value) {
        setSeatsTo(value);
        return this;
    }

    public WSSearchCriteriaTolerance withFirstRegistrationDateTolerance(Integer value) {
        setFirstRegistrationDateTolerance(value);
        return this;
    }

    public WSSearchCriteriaTolerance withOverallWidthTolerance(Integer value) {
        setOverallWidthTolerance(value);
        return this;
    }

    public WSSearchCriteriaTolerance withPayloadTolerance(Integer value) {
        setPayloadTolerance(value);
        return this;
    }

    public WSSearchCriteriaTolerance withWheelbasePlusTolerance(Integer value) {
        setWheelbasePlusTolerance(value);
        return this;
    }

}
